#include <fstream>
#include <iostream>
#include <unistd.h>
#include "Messages.h"
using namespace std;

Messages::Messages(char* filename)
{
	itsfilename = filename; // set name of file 
                           // where messages will be stored
}

Messages::~Messages()
{
}

void Messages::count_messages()
{
}

void Messages::add_message()
{
}

void Messages::edit_message()
{
}

void Messages::del_message()
{
}

void Messages::del_all_messages()
{
	if(unlink(itsfilename) == -1)	 ; // deletes the message file
   {	
		cerr << "Error: Could not delete message file in function Messages::del_all_messages()\n";
	}

	ifstream test(itsfilename); // create file again 
										 // this is because we want the file
										// to exist but be blank 	     
}

void Messages::view_message()
{
}

void Messages::read_message()
{
}

